package com.huiju.estateagents.property.controller;


import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.service.IBillOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * <p>
 * 缴费订单表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-04-18
 */
@RestController
@RequestMapping("/api")
@Api(value = "订单 API", description = "订单 API")
public class BillOrderController extends BaseController {

    @Autowired
    private IBillOrderService iBillOrderService;


    @RequestMapping(value = "/admin/bill/order/getByOrderNumberBillInvoice/{orderNumber}", method = RequestMethod.GET)
    // @ApiOperation(value = "根据订单查询 缴费单", notes = "根据订单查询 缴费单")
    @ApiImplicitParams({
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "header", name = "X-Auth-Token", value = "Token"),
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "path", name = "orderNumber", value = "订单号")
    })
    public ResponseBean getByOrderNumberBillInvoice(HttpServletRequest request, @PathVariable("orderNumber") String orderNumber) {
        ResponseBean responseBean = new ResponseBean();
        TaUser userElement = getTaUser(request);
        responseBean = iBillOrderService.getByOrderNumberBillInvoice(userElement, orderNumber);
        return responseBean;
    }


}
